/**
 * @file Archivo sobre la visualizacion, interacciones
 * @author Elisa Merino Gonzalez
 */



/** 
 * Draws the graphic every time a country (or all) is checked or unchecked.
 */
$(document).ready(function() {

    
    /*
     * Handles the checking or unchecking of the tabs.
     */
    $('ul.tabs li a:first').addClass('active');
    $('.subcontenedor article').hide();
    $('.subcontenedor article:first').show();

    $('ul.tabs li a').click(function() {
        $('ul.tabs li a').removeClass('active');
        $(this).addClass('active');
        $('.subcontenedor article').hide();

        var activeTab = $(this).attr('href');
        $(activeTab).show();
        return false;

    });

    let selection_hidden = false;

    let entidades = ["World", "Europe", "Spain"]; 

    var contador = 2;
    d3.select("#svgcontainer").selectAll("svg").remove();
    drawMultiseries("#svgcontainer",700,420, entidades);

    /*
     * Handles the checking or unchecking of a single country.
     */
    $("input[type=checkbox]").change(function () { 


        if(this.checked) {
            contador++;
            if(contador >= 6) {
                alert('Has seleccionados demasiados');
                contador--;
                d3.select("#svgcontainer").selectAll("svg").remove();
                
            } else{
                entidades.push(this.name);
            }
                       
        } else {          
            contador--;
            entidades = entidades.filter(country => country != this.name);
        }
       
        d3.select("#svgcontainer").selectAll("svg").remove();
        drawMultiseries("#svgcontainer",700,420, entidades);
    });

    
    /*
     *  Handles the 'click' event on the button "Uncheck all (entidades)" 
     */
    d3.selectAll("#button-uncheck-all").on("click", function () {
        entidades = [];
        contador = 0;
        d3.select("#svgcontainer").selectAll("svg").remove();
        drawMultiseries("#svgcontainer",700,420, entidades);
    });

});

